# Function deleteAddress

- deleteAddress(payload?): {
  payload: string;
  type: "pocket/deleteAddress";
  }

- Calling this redux#ActionCreator with an argument will return a PayloadAction of type `T` with a payload of `P`. Calling it without an argument will return a PayloadAction with a payload of `undefined`.

  #### Parameters

  - `Optional` payload: string

  #### Returns {
  payload: string;
  type: "pocket/deleteAddress";
  }

  - ##### payload: string

  - ##### type: "pocket/deleteAddress"

  - Defined in work/deeplinks/deeplinks/imports/cyber/redux/features/pocket.ts:131

#####
Index

### Properties

match
type

## Properties

### match

match: ((action) => action is {
payload: string;
type: "pocket/deleteAddress";
})

#### Type declaration

- - (action): action is {
    payload: string;
    type: "pocket/deleteAddress";
    }

  - #### Parameters

    - action: Action<unknown>

    #### Returns action is {
    payload: string;
    type: "pocket/deleteAddress";
    }

- Defined in work/deeplinks/deeplinks/node_modules/@reduxjs/toolkit/dist/createAction.d.ts:59

### type

type: "pocket/deleteAddress"

- Defined in work/deeplinks/deeplinks/node_modules/@reduxjs/toolkit/dist/createAction.d.ts:58